# Uses of Interface
org.eclipse.swt.events.TreeListener

Packages that use TreeListener
Package
Description
org.eclipse.nebula.jface.gridviewer
org.eclipse.nebula.widgets.grid
org.eclipse.swt.events
org.eclipse.swt.widgets

## Uses of TreeListener in org.eclipse.nebula.jface.gridviewer

Methods in org.eclipse.nebula.jface.gridviewer with parameters of type TreeListener
Modifier and Type
Method
Description
`protected void`
GridTreeViewer.`addTreeListener(Control control, TreeListener listener)`

## Uses of TreeListener in org.eclipse.nebula.widgets.grid

Methods in org.eclipse.nebula.widgets.grid with parameters of type TreeListener
Modifier and Type
Method
Description
`void`
Grid.`addTreeListener(TreeListener listener)`
Adds the listener to the collection of listeners who will be notified when the receiver's items changes, by sending it one of the messages defined in the `TreeListener` interface.
`void`
GridColumnGroup.`addTreeListener(TreeListener listener)`
Adds the listener to the collection of listeners who will be notified when an item in the receiver is expanded or collapsed by sending it one of the messages defined in the `TreeListener` interface.
`void`
Grid.`removeTreeListener(TreeListener listener)`
Removes the listener from the collection of listeners who will be notified when the receiver's items changes.
`void`
GridColumnGroup.`removeTreeListener(TreeListener listener)`
Removes the listener from the collection of listeners who will be notified when items in the receiver are expanded or collapsed.

## Uses of TreeListener in org.eclipse.swt.events

Methods in org.eclipse.swt.events that return TreeListener
Modifier and Type
Method
Description
`static TreeListener`
TreeListener.`treeCollapsedAdapter(Consumer<TreeEvent> c)`
Static helper method to create a `TreeListener` for the `treeCollapsed(TreeEvent e)`) method, given a lambda expression or a method reference.
`static TreeListener`
TreeListener.`treeExpandedAdapter(Consumer<TreeEvent> c)`
Static helper method to create a `TreeListener` for the `treeExpanded(TreeEvent e)`) method, given a lambda expression or a method reference.

## Uses of TreeListener in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type TreeListener
Modifier and Type
Method
Description
`void`
Tree.`addTreeListener(TreeListener listener)`
Adds the listener to the collection of listeners who will be notified when an item in the receiver is expanded or collapsed by sending it one of the messages defined in the `TreeListener` interface.
`void`
Tree.`removeTreeListener(TreeListener listener)`
Removes the listener from the collection of listeners who will be notified when items in the receiver are expanded or collapsed.